.profile-card {
  display: flex;
  height: fit-content;
  flex-direction: column;
  width: 300px;
  overflow: hidden;
  border-radius: 1rem;

  background-color: white;
  box-shadow: 1px 1px 6px 1px #dfdede;

  .profile-image {
    display: flex;
  }

  .card-content {
    display: flex;
    flex: 1;
    padding: 0 1rem;
    gap: 0.5rem;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;

    .avatar {
      border-radius: 50%;
      position: absolute;
      top: -25%;
      border: 4px solid white;
    }
    .primary-text {
      padding-top: 4rem;
      font-size: 1.25rem;
      font-weight: 700;
      text-align: center;

      span {
        color: gray;
        font-size: 1rem;
        margin-left: 0.5rem;
        font-weight: 400;
      }
    }
    .secondary-text {
      text-align: center;
      font-size: 0.875rem;
      color: gray;
      padding-bottom: 0.5rem;
    }

    .footer {
      display: flex;
      padding-bottom: 1.5rem;
      padding-top: 1rem;
      border-top: 1px solid rgb(223, 221, 221);
      flex: 1;
      width: 100%;
      justify-content: space-between;

      .stats {
        display: flex;
        flex: 1;
        flex-direction: column;
        align-items: center;

        .likes {
          font-size: 1rem;
          font-weight: 700;
        }
        .text {
          color: gray;
        }
      }
    }
  }
}
p {
  margin: 0;
}
